[ubuntu/jammy-proposed] amoeba 1.1-31 (Accepted)

Graham Inggs graham.inggs+ubuntu at gmail.com
Tue Nov 16 09:09:42 UTC 2021


amoeba (1.1-31) unstable; urgency=medium

  * Convert package to using dh. (Closes: #999190)
    * Bump debhelper dependency and compat to 13.
  * Move from GTK+ 2 to 3. (Closes: #967253)
    * 29-no-dynamic-gtk.diff: New patch, don't load GDK and GTK+ dynamically;
      all modern Linux systems have this, and we have a hard dependency in
      the Debian package anyway.
    * 30-fix-gtk-deprecations.diff: New patch, fix all GTK+ 2 deprecation
      warnings/errors.
    * 31-move-to-gtk3.diff: New patch, Build and link against GTK+ 3 instead
      of 2 (needs only a few small changes from GtkObject to GObject after
      the last patch has been applied).
    * Build-Depend on libgtk-3-dev instead of libgtk2.0-dev.

Date: 2021-11-15 22:27:29.579412+00:00
Changed-By: sesse at debian.org (Steinar H. Gunderson)
Signed-By: Graham Inggs <graham.inggs+ubuntu at gmail.com>
https://launchpad.net/ubuntu/+source/amoeba/1.1-31
-------------- next part --------------
Sorry, changesfile not available.


More information about the jammy-changes mailing list